Retrieve a contact

Retrieves one contact by id.

Path Parameters
  • id
    Type: integer
    required

    Id of the contact to retrieve.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/public-api/v1/contacts/{id}
curl https://app.hellobonsai.com/public-api/v1/contacts/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "id": 7,
    "name": "Alex Johnson",
    "email": "alex@example.com",
    "job_title": "CTO",
    "phone_number": "+1-415-555-0100",
    "archived_at": "2026-04-14T09:12:04.000Z",
    "created_at": "2026-04-14T09:12:04.000Z",
    "company_ids": [
      42
    ],
    "default_company_id": 42,
    "url": "https://app.hellobonsai.com/contacts/7"
  },
  "meta": {
    "request_id": "b1f0d2c4-7a9e-4c3b-8d5f-1e2a3b4c5d6e"
  }
}